Sign me up Login

Details about package "piper"

Name: piper
Uploader: Stephan Lachnit <stephanlachnit@protonmail.com> (Debian QA page)
Description: piper - graphical frontend for libratbag

Package versions

Version 0.3-1

Information

Version: 0.3-1
Uploaded: 2019-11-10 16:10
Source package: https://mentors.debian.net/debian/pool/main/p/piper/piper_0.3-1.dsc
Distribution: unstable
Section: misc
Priority: optional
Closes bugs: 816836

QA information

Comments

  1. Thanks for the hint! I will update the package, probably on saturday.
    Stephan Lachnit at 2019-11-14 16:47:11.549674
  2. It seems like you're missing some copyright information in debian/copyright.
    
    I did a quick "grep -ri copyright" through the source and noticed multiply files containing lines like:
    
    """
    piper/buttonspage.py:# Copyright (C) 2017 Jente Hidskes <hjdskes@gmail.com>
    piper/ratbagd.py:# Copyright 2016 Red Hat, Inc.
    piper/ledspage.py:# Copyright (C) 2017 Jente Hidskes <hjdskes@gmail.com>
    piper/svg.py:# Copyright (C) 2019 Red Hat, Inc
    ...
    """
    
    These should be mentioned in the copyright file as well, otherwise the packaging looks good.
    Needs work Jonathan Carter (highvoltage) <jcc> at 2019-11-14 08:43:16.227989

Version 0.3-1

Information

Version: 0.3-1
Uploaded: 2019-11-10 15:59
Distribution: unstable
Section: misc
Priority: optional
Closes bugs: 816836

QA information

Comments

No comments

Version 0.3-1

Information

Version: 0.3-1
Uploaded: 2019-11-08 13:10
Distribution: unstable
Section: misc
Priority: optional
Closes bugs: 816836

QA information

Comments

No comments

Version 0.3-2

Information

Version: 0.3-2
Uploaded: 2019-11-08 09:49
Source package: https://mentors.debian.net/debian/pool/main/p/piper/piper_0.3-2.dsc
Distribution: unstable
Section: misc
Priority: optional

QA information

Comments

  1. wrong python build dependency
    shouldn't increase the debian version
    Needs work Stephan Lachnit at 2019-11-08 13:05:16.580377

Version 0.3-1

Information

Version: 0.3-1
Uploaded: 2019-11-07 21:17
Distribution: unstable
Section: misc
Priority: optional
Closes bugs: 816836

QA information

Comments

  1. should depend on ratbagd version 0.10-1, not 0.10
    Needs work Stephan Lachnit at 2019-11-07 21:48:33.862737